summaryrefslogtreecommitdiffstats
path: root/dracut/90zfs/module-setup.sh
diff options
context:
space:
mode:
authorZachary Bedell <[email protected]>2011-07-24 16:46:16 -0400
committerBrian Behlendorf <[email protected]>2011-07-25 10:42:07 -0700
commit1ef5e8296a07a0d208d0663ae966c8b0206f7e6a (patch)
tree9ce92f5f31e047f2cade37bf735cf0a0aa945904 /dracut/90zfs/module-setup.sh
parentbeb982690293310b14a4835d3ffeb883ba03cc0a (diff)
Soft to hard tabs
For consistency with the upstream sources and the rest of the project use hard instead of soft tabs. Signed-off-by: Brian Behlendorf <[email protected]>
Diffstat (limited to 'dracut/90zfs/module-setup.sh')
-rwxr-xr-xdracut/90zfs/module-setup.sh62
1 files changed, 31 insertions, 31 deletions
diff --git a/dracut/90zfs/module-setup.sh b/dracut/90zfs/module-setup.sh
index 1816b38d7..6dd3d5c17 100755
--- a/dracut/90zfs/module-setup.sh
+++ b/dracut/90zfs/module-setup.sh
@@ -1,46 +1,46 @@
#!/bin/sh
check() {
- # We depend on udev-rules being loaded
- [ "$1" = "-d" ] && return 0
+ # We depend on udev-rules being loaded
+ [ "$1" = "-d" ] && return 0
- # Verify the zfs tool chain
- which zpool >/dev/null 2>&1 || return 1
- which zfs >/dev/null 2>&1 || return 1
+ # Verify the zfs tool chain
+ which zpool >/dev/null 2>&1 || return 1
+ which zfs >/dev/null 2>&1 || return 1
- return 0
+ return 0
}
depends() {
- echo udev-rules
- return 0
+ echo udev-rules
+ return 0
}
installkernel() {
- instmods zfs
- instmods zcommon
- instmods znvpair
- instmods zavl
- instmods zunicode
- instmods spl
- instmods zlib_deflate
- instmods zlib_inflate
+ instmods zfs
+ instmods zcommon
+ instmods znvpair
+ instmods zavl
+ instmods zunicode
+ instmods spl
+ instmods zlib_deflate
+ instmods zlib_inflate
}
install() {
- inst_rules "$moddir/90-zfs.rules"
- inst_rules /etc/udev/rules.d/60-zpool.rules
- inst_rules /etc/udev/rules.d/60-zvol.rules
- inst /etc/zfs/zdev.conf
- inst /etc/zfs/zpool.cache
- inst /etc/hostid
- dracut_install zfs
- dracut_install zpool
- dracut_install zpool_layout
- dracut_install zpool_id
- dracut_install zvol_id
- dracut_install mount.zfs
- dracut_install hostid
- inst_hook cmdline 95 "$moddir/parse-zfs.sh"
- inst_hook mount 98 "$moddir/mount-zfs.sh"
+ inst_rules "$moddir/90-zfs.rules"
+ inst_rules /etc/udev/rules.d/60-zpool.rules
+ inst_rules /etc/udev/rules.d/60-zvol.rules
+ inst /etc/zfs/zdev.conf
+ inst /etc/zfs/zpool.cache
+ inst /etc/hostid
+ dracut_install zfs
+ dracut_install zpool
+ dracut_install zpool_layout
+ dracut_install zpool_id
+ dracut_install zvol_id
+ dracut_install mount.zfs
+ dracut_install hostid
+ inst_hook cmdline 95 "$moddir/parse-zfs.sh"
+ inst_hook mount 98 "$moddir/mount-zfs.sh"
}